org.eclipse.wst.jsdt.chromium

## Interface ExceptionData

    public interface ExceptionData

A JavaScript exception data holder for exceptions reported by a JavaScript virtual machine.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getExceptionMessage()`
`JsValue` `getExceptionValue()`
`java.lang.String` `getSourceText()`
`boolean` `isUncaught()`

### Method Detail

#### getExceptionValue

    JsValue getExceptionValue()

Returns:
  the thrown exception value

#### isUncaught

    boolean isUncaught()

Returns:
  whether this exception is uncaught

#### getSourceText

    java.lang.String getSourceText()

Returns:
  the text of the source line where the exception was thrown or null

#### getExceptionMessage

    java.lang.String getExceptionMessage()

Returns:
  the exception description (plain text)